Package bitel.billing.server.contract.bean

# Class ContractScriptLogManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
bitel.billing.server.contract.bean.ContractScriptLogManager

@Deprecated public class ContractScriptLogManager extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
Deprecated.
Использовать `ContractScriptLogDao`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractScriptLogManager(DefaultServerSetup setup)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ContractScriptLog>`
  `getScriptLogList(int cid, Date start, Date end)`
  Deprecated.
  Возвращает полный список логов скриптов договора за определенный период
  `List<ContractScriptLog>`
  `getScriptLogList(int cid, Date start, Date end, Page page)`
  Deprecated.
  Возвращает постраничный список логов скриптов договора за определенный период

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractScriptLogManager

    public ContractScriptLogManager(DefaultServerSetup setup)
    Deprecated.

- ## Method Details

  - ### getScriptLogList

    public List<ContractScriptLog> getScriptLogList(int cid, Date start, Date end)
    Deprecated.
    Возвращает полный список логов скриптов договора за определенный период
    Parameters:
      `cid` - код договора
      `start` - начало периода
      `end` - конец периода
    Returns:
      список

  - ### getScriptLogList

    public List<ContractScriptLog> getScriptLogList(int cid, Date start, Date end, Page page)
    Deprecated.
    Возвращает постраничный список логов скриптов договора за определенный период
    Parameters:
      `cid` - код договора
      `start` - начало периода
      `end` - конец периода
      `page` - страница
    Returns:
      список